package net.sourceforge.nattable.hideshow.command;

import static java.util.Arrays.asList;
import net.sourceforge.nattable.command.AbstractLayerCommandHandler;
import net.sourceforge.nattable.hideshow.RowHideShowLayer;

public class RowHideCommandHandler extends AbstractLayerCommandHandler<RowHideCommand> {

	private final RowHideShowLayer rowHideShowLayer;
	
	public RowHideCommandHandler(RowHideShowLayer rowHideShowLayer) {
		this.rowHideShowLayer = rowHideShowLayer;
	}

	public Class<RowHideCommand> getCommandClass() {
		return RowHideCommand.class;
	}

	@Override
	protected boolean doCommand(RowHideCommand command) {
		rowHideShowLayer.hideRowPositions(asList(command.getRowPosition()));
		return true;
	}
}
