package net.sourceforge.nattable.resize.command;

import net.sourceforge.nattable.command.AbstractMultiRowCommand;
import net.sourceforge.nattable.command.ILayerCommand;
import net.sourceforge.nattable.config.IConfigRegistry;
import net.sourceforge.nattable.util.GCFactory;

import org.eclipse.swt.graphics.GC;

/**
 * @see AutoResizeColumnsCommand
 */

public class AutoResizeRowsCommand extends AbstractMultiRowCommand {
	
	private final IConfigRegistry configRegistry;
	private final GCFactory gcFactory;

	public AutoResizeRowsCommand(InitializeAutoResizeRowsCommand initCommand) {
		super(initCommand.getSourceLayer(), initCommand.getRowPositions());
		this.configRegistry = initCommand.getConfigRegistry();
		this.gcFactory = initCommand.getGCFactory();
	}

	protected AutoResizeRowsCommand(AutoResizeRowsCommand command) {
		super(command);
		this.configRegistry = command.configRegistry;
		this.gcFactory = command.gcFactory;
	}

	public ILayerCommand cloneCommand() {
		return new AutoResizeRowsCommand(this);
	}

	// Accessors

	public GCFactory getGCFactory() {
		return gcFactory;
	}

	public IConfigRegistry getConfigRegistry() {
		return configRegistry;
	}
}