package net.sourceforge.nattable.selection.command;

import net.sourceforge.nattable.command.AbstractRowCommand;
import net.sourceforge.nattable.coordinate.ColumnPositionCoordinate;
import net.sourceforge.nattable.layer.ILayer;

public class SelectRowGroupsCommand extends AbstractRowCommand {
	
	private ColumnPositionCoordinate columnPositionCoordinate;
	private final boolean withShiftMask;
	private final boolean withControlMask;

	public SelectRowGroupsCommand(ILayer layer, int columnPosition, int rowPosition, boolean withShiftMask, boolean withControlMask) {
		super(layer, rowPosition);
		this.withShiftMask = withShiftMask;
		this.withControlMask = withControlMask;
		this.columnPositionCoordinate = new ColumnPositionCoordinate(layer, columnPosition);
	}
	
	protected SelectRowGroupsCommand(SelectRowGroupsCommand command) {
		super(command);
		this.columnPositionCoordinate = command.columnPositionCoordinate;
		this.withShiftMask = command.withShiftMask;
		this.withControlMask = command.withControlMask;
	}
	
	public int getColumnPosition() {
		return columnPositionCoordinate.getColumnPosition();
	}

	public boolean isWithShiftMask() {
		return withShiftMask;
	}

	public boolean isWithControlMask() {
		return withControlMask;
	}
	
	public SelectRowGroupsCommand cloneCommand() {
		return new SelectRowGroupsCommand(this);
	}

}
