package net.sourceforge.nattable.tree.config;

import net.sourceforge.nattable.config.IConfigRegistry;
import net.sourceforge.nattable.layer.cell.LayerCell;
import net.sourceforge.nattable.painter.cell.ImagePainter;
import net.sourceforge.nattable.tree.ITreeRowModel;

import org.eclipse.swt.graphics.Image;


public class DefaultTreeImagePainter extends ImagePainter {

	private final ITreeRowModel<?> treeRowModel;
	private final Image plusImage;
	private final Image minusImage;
	private final Image leafImage;
	
	public DefaultTreeImagePainter(ITreeRowModel<?> treeRowModel, Image plusImage, Image minusImage, Image leafImage) {
		super(null, false);
		this.treeRowModel = treeRowModel;
		this.plusImage = plusImage;
		this.minusImage = minusImage;
		this.leafImage = leafImage;
	}

	@Override
	protected Image getImage(LayerCell cell, IConfigRegistry configRegistry) {
		int index = cell.getLayer().getRowIndexByPosition(cell.getRowPosition());
		return !this.treeRowModel.hasChildren(index) ? this.leafImage : this.treeRowModel.isCollapsed(index) ? this.plusImage : this.minusImage;
	}
	
}
